﻿<%@ WebHandler Language="C#" Class="MyNamespace.vCardBuilder" %>
using System;
using System.Web;
using Thought.Net.vCards;
namespace MyNamespace
{
    public class vCardBuilder : IHttpHandler 
 {
  
  public bool IsReusable
  {
   get
   {
    return true;
   }
  }
  
  
  public void ProcessRequest(HttpContext ctx)
  {
      ctx.Response.ContentType = "text/x-vCard";
      ctx.Response.AddHeader("Content-disposition", "attachment; filename=vCard.vcf");

      vCard card = BuildVCard(ctx);
      vCardStandardWriter writer = new vCardStandardWriter();

      writer.EmbedInternetImages = false;
      writer.EmbedLocalImages = true;
      writer.Options = vCardStandardWriterOptions.IgnoreCommas;

      writer.Write(card, ctx.Response.Output);

   
      ctx.Response.End();
  }

  private vCard BuildVCard(HttpContext ctx)
  {
      vCard card = new vCard();

      card.FormattedName =  ctx.Request.QueryString["FN"];
      card.AdditionalNames = ctx.Request.QueryString["AdditionalName"];
      card.FamilyName = ctx.Request.QueryString["FamilyName"];
      card.GivenName = ctx.Request.QueryString["GivenName"];
      card.NamePrefix = ctx.Request.QueryString["NamePrefix"];
      card.NameSuffix = ctx.Request.QueryString["NameSuffix"];
      card.Organization = ctx.Request.QueryString["Organization"];
      card.Role = ctx.Request.QueryString["Role"];
      card.Title = ctx.Request.QueryString["Title"];
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["bday"]))
          if (ctx.Request.QueryString["bday"] != "undefined")
              card.BirthDate = DateTime.Parse(ctx.Request.QueryString["bday"]);
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["latitude"]))
          if (ctx.Request.QueryString["latitude"] != "undefined")
              card.Latitude = (float)Convert.ToDouble(ctx.Request.QueryString["latitude"]);
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["longitude"]))
          if (ctx.Request.QueryString["longitude"] != "undefined")
              card.Longitude = (float)Convert.ToDouble(ctx.Request.QueryString["longitude"]);
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["WorkEmail"]))
          card.Categories.Add(ctx.Request.QueryString["category"]);
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["rev"]))
          if (ctx.Request.QueryString["rev"] != "undefined")
              card.RevisionDate = DateTime.Parse(ctx.Request.QueryString["rev"]);
      card.UniqueId = ctx.Request.QueryString["uid"];
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["WorkEmail"]))
      {
          card.EmailAddresses.Add(
              new vCardEmailAddress(ctx.Request.QueryString["WorkEmail"]));

      }
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["Note"]))
      {
          card.Notes.Add(new vCardNote(ctx.Request.QueryString["Note"]));
      }
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["adrWork"]))
      {
          vCardDeliveryAddress adr = new vCardDeliveryAddress();
          adr.AddressType = vCardDeliveryAddressType.Work;
          adr.City = ctx.Request.QueryString["wCity"];
          adr.Country = ctx.Request.QueryString["wCountry"];
          adr.IsWork = true;
          adr.PostalCode = ctx.Request.QueryString["wPostalCode"];
          adr.Region = ctx.Request.QueryString["wRegion"];
          adr.Street = ctx.Request.QueryString["wStreet"];
          card.DeliveryAddresses.Add(adr);

      }
      if (!string.IsNullOrEmpty(ctx.Request.QueryString["photo"]))
      {
          try
          {
              Uri uri = new Uri(ctx.Request.QueryString["photo"]);
              vCardPhoto p = new vCardPhoto(new Uri(ctx.Request.QueryString["photo"]));

              card.Photos.Add(p);
          }
          catch (Exception)
          {
          }

      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["WorkPhone"]))
      {
          card.Phones.Add(
              new vCardPhone(ctx.Request.QueryString["WorkPhone"], vCardPhoneType.Work));
      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["WorkFax"]))
      {
          card.Phones.Add(
              new vCardPhone(ctx.Request.QueryString["WorkFax"], vCardPhoneType.WorkFax));
      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["HomePhone"]))
      {
          card.Phones.Add(
              new vCardPhone(ctx.Request.QueryString["HomePhone"], vCardPhoneType.Home));
      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["CellPhone"]))
      {
          card.Phones.Add(
              new vCardPhone(ctx.Request.QueryString["CellPhone"], vCardPhoneType.Cellular));
      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["Pager"]))
      {
          card.Phones.Add(
              new vCardPhone(ctx.Request.QueryString["Pager"], vCardPhoneType.Pager));
      }



      if (!string.IsNullOrEmpty(ctx.Request.QueryString["WorkWebSite"]))
      {
          card.WebSites.Add(
              new vCardWebSite(ctx.Request.QueryString["WorkWebSite"], vCardWebSiteType.Work));
      }

      if (!string.IsNullOrEmpty(ctx.Request.QueryString["NickName"]))
      {
          card.Nicknames.Add(ctx.Request.QueryString["NickName"]);
      }

      return card;
  }
 }
}