﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
namespace Microformats.Controls
{
    public class AddressContainer
    {
        public AddressContainer()
        {
            HtmlTag = HtmlTextWriterTag.Unknown;
            AddressPropertyCollection = new Collection<AddressProperty>();
        }

        public string ClassName { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [preferred name].
        /// </summary>
        /// <value><c>true</c> if [preferred name]; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("Html tag Parameter")]
        [Description("Specifies if tag to use on the element")]
        public HtmlTextWriterTag HtmlTag { get; set; }

        [Browsable(true)]
        [Editor(typeof(CollectionEditor), typeof(UITypeEditor))]
        [Category("Address properties")]
        [Description("Address properties")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<AddressProperty> AddressPropertyCollection
        {
            get;
            set;
        }
    }
}
