﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microformats.Enums;
using System.ComponentModel;
using System.Web.UI;

namespace Microformats.Controls
{
    /// <summary>
    /// hCard name property.
    /// </summary>
    public class AddressProperty
    {
        public AddressProperty()
        {
            HtmlTag = HtmlTextWriterTag.Div;
        }

        /// <summary>
        /// Gets or sets a value indicating whether [preferred name].
        /// </summary>
        /// <value><c>true</c> if [preferred name]; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("Html tag Parameter")]
        [Description("Specifies if tag to use on the element")]
        public HtmlTextWriterTag HtmlTag { get; set; }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the address type.")]
        public AddressElement Type { get; set; }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the address sub type.")]
        public AddressElement SubType { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the name value.")]
        public string Value { get; set; }
    }
}
