﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;

namespace Microformats.Controls
{
    public class Company : Identification
    {
        public Company()
        {
            AddressCollection = new CardAddresses();
            ClassName = "org";
        }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        [Browsable(true)]
        [Category("Company Parameter")]
        [Description("Specifies the name.")]
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [Browsable(true)]
        [Category("Company Parameter")]
        [Description("Specifies the unit.")]
        public string Unit { get; set; }

        /// <summary>
        /// Gets or sets the company collection.
        /// </summary>
        /// <value>The company collection.</value>
        [Browsable(true)]
        [Editor(typeof(CollectionEditor), typeof(UITypeEditor))]
        [Category("Company Addresses")]
        [Description("Company Addresses")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public CardAddresses AddressCollection
        {
            get;
            set;
        }
    }
}
