﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web.UI;

namespace Microformats.Controls
{
    public class CompanyCollection : CardProperty
    {
        public CompanyCollection()
        {
            Companies = new Collection<Company>();
        }

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="Companies"/> is list.
        /// </summary>
        /// <value><c>true</c> if list; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("Companies Parameter")]
        [Description("Specifies the name.")]
        public bool List { get; set; }

        [Browsable(true)]
        [Category("Companies Parameter")]
        [Description("Specifies the companies.")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<Company> Companies
        {
            get;
            set;
        }
    }
}
