﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;

namespace Microformats.Controls
{
    public class Identification : Entity
    {
        public Identification()
        {
            HtmlTag = HtmlTextWriterTag.Span;
        }

        /// <summary>
        /// Gets or sets a value indicating whether [preferred name].
        /// </summary>
        /// <value><c>true</c> if [preferred name]; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("Contact Parameter")]
        [Description("Specifies if name is the preferred name.")]
        public bool PreferredName { get; set; }

        /// <summary>
        /// Gets or sets the URL.
        /// </summary>
        /// <value>The URL.</value>
        [Browsable(true)]
        [Category("Contact Parameter")]
        [Description("Url.")]
        public string Url { get; set; }
    }
}
