﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microformats.Enums;
using System.ComponentModel;

namespace Microformats.Controls
{
    /// <summary>
    /// hCard name property.
    /// </summary>
    public class NameProperty
    {
        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the name type.")]
        public NameTypes Type { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the name value.")]
        public string Value { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [Browsable(true)]
        [Category("Name Parameter")]
        [Description("Specifies the name to sort by.")]
        public bool SortString { get; set; }
    }
}
