﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;

namespace Microformats.Controls
{
    public abstract class TeleCommunication : Entity
    {
        public TeleCommunication()
        {
            HtmlTag = HtmlTextWriterTag.Div;
        }

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="TeleCommunication"/> is preferred.
        /// </summary>
        /// <value><c>true</c> if preferred; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("TeleCommunication Parameter")]
        [Description("Specifies if telecommunication is the preferred  one.")]
        public bool Preferred { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        [Browsable(true)]
        [Category("Telecommunication Parameter")]
        [Description("Specifies the telecommunication value.")]
        public string Value { get; set; }
    }
}
